Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetTasksByVariousFieldsCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<List<TaskSummary>>
          org.jbpm.services.task.commands.GetTasksByVariousFieldsCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<TaskSummary>>, Command<List<TaskSummary>>

    public class GetTasksByVariousFieldsCommand

extends TaskCommand<List<TaskSummary>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`groupsIds, targetEntityId, taskId, userId`

Constructor Summary
`GetTasksByVariousFieldsCommand()`
`GetTasksByVariousFieldsCommand(List<Long> workItemIds, List<Long> taskIds, List<Long> procInstIds, List<String> busAdmins, List<String> potOwners, List<String> taskOwners, List<Status> statuses, boolean union)`
`GetTasksByVariousFieldsCommand(List<Long> workItemIds, List<Long> taskIds, List<Long> procInstIds, List<String> busAdmins, List<String> potOwners, List<String> taskOwners, List<Status> statuses, List<String> language, boolean union)`
`GetTasksByVariousFieldsCommand(Map<String,List<?>> params, boolean union)`

Method Summary
`List<TaskSummary>` | `execute(org.kie.internal.command.Context cntxt)`
`List<String>` | `getBusAdmins()`
`List<String>` | `getLanguage()`
`List<String>` | `getPotOwners()`
`List<Long>` | `getProcInstIds()`
`List<Status>` | `getStatuses()`
`List<Long>` | `getTaskIds()`
`List<String>` | `getTaskOwners()`
`Boolean` | `getUnion()`
`List<Long>` | `getWorkItemIds()`
`void` | `setBusAdmins(List<String> busAdmins)`
`void` | `setLanguage(List<String> language)`
`void` | `setPotOwners(List<String> potOwners)`
`void` | `setProcInstIds(List<Long> procInstIds)`
`void` | `setStatuses(List<Status> statuses)`
`void` | `setTaskIds(List<Long> taskIds)`
`void` | `setTaskOwners(List<String> taskOwners)`
`void` | `setUnion(Boolean union)`
`void` | `setWorkItemIds(List<Long> workItemIds)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTasksByVariousFieldsCommand

    public GetTasksByVariousFieldsCommand()

### GetTasksByVariousFieldsCommand

    public GetTasksByVariousFieldsCommand(List<Long> workItemIds,
                                          List<Long> taskIds,
                                          List<Long> procInstIds,
                                          List<String> busAdmins,
                                          List<String> potOwners,
                                          List<String> taskOwners,
                                          List<Status> statuses,
                                          boolean union)

### GetTasksByVariousFieldsCommand

    public GetTasksByVariousFieldsCommand(List<Long> workItemIds,
                                          List<Long> taskIds,
                                          List<Long> procInstIds,
                                          List<String> busAdmins,
                                          List<String> potOwners,
                                          List<String> taskOwners,
                                          List<Status> statuses,
                                          List<String> language,
                                          boolean union)

### GetTasksByVariousFieldsCommand

    public GetTasksByVariousFieldsCommand(Map<String,List<?>> params,
                                          boolean union)

Method Detail

### execute

    public List<TaskSummary> execute(org.kie.internal.command.Context cntxt)

### getWorkItemIds

    public List<Long> getWorkItemIds()

### setWorkItemIds

    public void setWorkItemIds(List<Long> workItemIds)

### getTaskIds

    public List<Long> getTaskIds()

### setTaskIds

    public void setTaskIds(List<Long> taskIds)

### getProcInstIds

    public List<Long> getProcInstIds()

### setProcInstIds

    public void setProcInstIds(List<Long> procInstIds)

### getBusAdmins

    public List<String> getBusAdmins()

### setBusAdmins

    public void setBusAdmins(List<String> busAdmins)

### getPotOwners

    public List<String> getPotOwners()

### setPotOwners

    public void setPotOwners(List<String> potOwners)

### getTaskOwners

    public List<String> getTaskOwners()

### setTaskOwners

    public void setTaskOwners(List<String> taskOwners)

### getStatuses

    public List<Status> getStatuses()

### setStatuses

    public void setStatuses(List<Status> statuses)

### getLanguage

    public List<String> getLanguage()

### setLanguage

    public void setLanguage(List<String> language)

### getUnion

    public Boolean getUnion()

### setUnion

    public void setUnion(Boolean union)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.